Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class PojoCacheThreadContextImpl

    java.lang.Object
      org.jboss.cache.pojo.impl.PojoCacheThreadContextImpl

All Implemented Interfaces:
  PojoCacheThreadContext

    public class PojoCacheThreadContextImpl

extends Object
implements PojoCacheThreadContext

Method Summary
`void` | `clear()` Clears all thread settings stored on this context.
`boolean` | `isGravitationEnabled()` Returns whether or not this thread should trigger gravitation when a cache-miss occurs.
`void` | `setGravitationEnabled(boolean gravitate)` Enables or disables gravitation on cache-miss

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isGravitationEnabled

    public boolean isGravitationEnabled()

  Returns whether or not this thread should trigger gravitation when a cache-miss occurs. The default is false.

  Specified by:
    `isGravitationEnabled` in interface `PojoCacheThreadContext`
  Returns:
    true if gravitation should be triggered on cache-miss, false if gravitation should not be triggered

### setGravitationEnabled

    public void setGravitationEnabled(boolean gravitate)

  Enables or disables gravitation on cache-miss

  Specified by:
    `setGravitationEnabled` in interface `PojoCacheThreadContext`
  Parameters:
    `gravitate` - true if gravitation should be triggered on cache-miss, false if gravitation should not be triggered

### clear

    public void clear()

  Description copied from interface: `PojoCacheThreadContext`
  Clears all thread settings stored on this context. After invoked, defaults will be returned. This will also reclaim any memory used to store this thread's settings.

  Specified by:
    `clear` in interface `PojoCacheThreadContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.